@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600&family=Overpass:wght@400;700&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;1,100;1,300;1,400;1,500;1,700&display=swap');
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Overpass', sans-serif;
}

html, body {
    display: grid;
    height: 100%;
    place-items: center;
    text-align: center;
    background: hsl(216, 12%, 8%);
}

.container {
    position: relative;
    width: 400px;
    margin: auto;
    margin-top: 20%;
    border-radius: 20px;
    background-color: hsl(212, 20%, 13%);
    padding: 40px 20px 20px 20px;
    color: hsl(0, 0%, 100%);
    text-align: center;
}

.star {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border: none;
    background-color: hsl(213, 20%, 21%);
    padding: 15px;
    margin-bottom: 30px;
}

.rate {
    text-align: left;
    font-weight: 700;
    font-size: 30px;
    margin-bottom: 20px;
}

.rate-text {
    margin-bottom: 20px;
    text-align: left;
    font-weight: 400;
    font-size: 15px;
    color: hsl(217, 12%, 63%);
    line-height: 1.5em;
}

.submit {
    border-radius: 40px;
    border: 1px solid black;
    padding: 15px 120px;
    color: hsl(0, 0%, 100%);
    background-color: hsl(25, 97%, 53%);
    letter-spacing: 2px;
}

.submit:hover {
    background-color: hsl(0, 0%, 100%);
    color: hsl(25, 97%, 53%);
    cursor: pointer;
}

.numbers {
    margin-bottom: 30px;
}

.number {
    text-align: center;
    display: inline-block;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border: none;
    padding: 15px;
    color: hsl(217, 12%, 63%);
    background-color: hsl(213, 20%, 21%);
    margin: 9px;
}

.number:hover {
    background-color: hsl(25, 97%, 53%);
    cursor: pointer;
    color: hsl(0, 0%, 100%);
}

.number:focus {
    color: hsl(0, 0%, 100%);
    background-color: hsl(217, 12%, 63%);
}

.thanks-container {
    width: 400px;
    text-align: center;
    border-radius: 20px;
    background-color: hsl(212, 20%, 13%);
    padding: 40px 30px 20px 30px;
    color: hsl(0, 0%, 100%);
    margin-top: 30px;
}

.thank-you-img {
    margin-bottom: 30px;
}

.hidden {
    display: none;
}

.selection-text {
    margin-bottom: 30px;
    width: 200px;
    display: inline-block;
    color: hsl(25, 97%, 53%);
    border: 0.5px solid black;
    border-radius: 30px;
    padding-top: 10px;
    padding-bottom: 10px;
    background-color: hsl(213, 20%, 21%);
}

.thank-you-head {
    margin-bottom: 30px;
}

.thank-you-text {
    font-size: 15px;
    color: hsl(217, 12%, 63%);
    line-height: 1.5em;
}

.attribution { 
    margin-top: auto;
    font-size: 11px; 
    text-align: center; 
}
    
.attribution a { 
    color: hsl(228, 45%, 44%); 
}

@media only screen and (max-width: 768px) {
    .container,
    .thanks-container {
        max-width: 350px;
    }

    .number {
        max-width: 30px;
        height: 30px;
        padding: 7px;
    }
}
